<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5"
      layout:decorate="~{/layoute/layout}">
<head>
    <title>Jenis Iuran</title>
</head>

<body>

<div layout:fragment="content">
    <h1 class="h3 mb-3">Blank Page</h1>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <h5 class="card-title mb-0">Empty card</h5>
                </div>
                <div class="card-body">
                    <a th:href="@{/iuran/showFormForAdd}"
                       class="btn btn-primary btn-sm mr-5 mb-3">
                        Buat Iuran Bulanan
                    </a>
                    <table class="table table-bordered table-striped">
                        <thead class="thead-dark">
                        <tr>
                            <th>No</th>
                            <th>Informasi</th>
                            <th>Total</th>
                            <th>Aksi</th>
                        </tr>
                        </thead>

                        <tbody>
                        <tr th:each="ip,iterator : ${iuran}">
                            <td th:text="${iterator.index+1}"></td>
                            <td th:text="${ip.tanggalIuran}"/>
                            <td class="text-center">
                                <b th:text="${#aggregates.sum(ip.jenisIurans.![nominal])}"/>
                            </td>
                            <td class="text-center">

                                <!-- Add "update" button/link -->
                                <a th:href="@{/iuran/showFormForUpdate(iuranId=${ip.id})}"
                                   class="btn btn-info btn-sm">
                                    Update
                                </a>

                                <th:block th:if="${ip.active}">

                                    <button class="btn btn-danger btn-sm" disabled>Sudah digenerate</button>

                                </th:block>
                                <th:block th:unless="${ip.active}">
                                <a th:href="@{/iuran/generate(iuranId=${ip.id})}"
                                   class="btn btn-success btn-sm"
                                   onclick="if (!(confirm('Are you sure you want to Generate this employee?'))) return false">
                                    Generate Transaksi
                                </a>
                                </th:block>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

</body>
</html>









